Skip to main content

Delete access profile(s)

POST 

/access-profiles/v2/bulk-delete

experimental

This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.

This endpoint initiates a bulk deletion of one or more access profiles.

This version behaves identically to Delete Access Profile(s) V1.

When the request is successful, the endpoint returns the bulk delete's task result ID. To follow the task, you can use Get Task Status by ID, which will return the task result's status and information. This endpoint can only bulk delete up to a limit of 50 access profiles per request. By default, if any of the indicated access profiles are in use, no deletions will be performed and the inUse field of the response indicates the usages that must be removed first. If the request field bestEffortOnly is true, however, usages are reported in the inUse response field but all other indicated access profiles will be deleted. A SOURCE_SUBADMIN user can only use this endpoint to delete access profiles associated with sources they're able to administer.

Request​

Responses​

Returned only if bestEffortOnly is false, and one or more Access Profiles are in use.